<packet name="HearChat">
	<version number="1">
		<u8 name="understood">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str8 name="channel_name">
		<u8 name="show_bubble">
	</version>
	<version number="373">
		<u16 name="unknown">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str16 name="channel_name">
		<u8 name="show_bubble">
	</version>
	<version number="546">
		<u16 name="unknown">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str16 name="channel_name">
		<u8 name="show_bubble">
	</version>
	<version number="561">
		<u16 name="unknown">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str16 name="channel_name">
		<u8 name="show_bubble">
		<u8 name="understood">
		<u8 name="unknown4">
	</version>
	<version number="562">
		<u16 name="unknown">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="unknown2" size="6">
		<u32 name="time">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str16 name="channel_name">
		<u8 name="show_bubble">
		<u8 name="understood">
		<u8 name="unknown4">
	</version>
	<version number="57080">
		<u16 name="unknown">
		<u32 name="from_spawn_id">
		<u32 name="to_spawn_id">
		<str16 name="from">
		<str16 name="to">
		<u8 name="unknown2" size="6">
		<u32 name="time">
		<u8 name="channel">
		<u8 name="language">
		<str16 name="message">
		<str16 name="channel_name">
		<u8 name="show_bubble">
		<u8 name="understood">
		<u8 name="unknown4">
		<u8 name="unknown5">
	</version>
</packet>